Retrieves the contact with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
contact| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| firstname |
Firstname of the contact |
string |
Max length: 50 |
| lastname |
Lastname of the contact. If you have one single field available for firstname+lastname then use Lastname |
string |
Required Max length: 50 |
| company_id |
Company of the contact |
globally unique identifier |
Optionally required : company_id,company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating contact |
string |
Optionally required : company_id,company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating contact |
company |
Optionally required : company_id,company_code or company must be provided |
| db_language_id |
Language of the contact.If empty, will use the default on the system |
globally unique identifier | |
| db_language_code |
Language code entity using international isocode when adding/updating contact |
string | |
| db_title_id |
The title of the contact |
globally unique identifier | |
| archived |
Archive this contact to not have it anymore on the search |
boolean | |
| functions |
Function of the contact (ServiceManager,...) |
string |
Max length: 64 |
| e_login |
Login of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| e_password |
Password in clear text of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| notes |
Notes/Remark field |
string | |
| birthdate |
Birthday date |
date | |
| create_date |
Creation date+time |
date | |
| phone |
Phone number of the contact |
string |
Max length: 50 |
| mobile |
a number of the contact |
string |
Max length: 50 |
|
|
string |
Max length: 250 |
|
| skype |
skype |
string |
Max length: 250 |
| private_phone |
Private phone number of the contact |
string |
Max length: 50 |
| private_mobile |
Private mobile number of the contact |
string |
Max length: 50 |
| private_email |
Private email |
string |
Max length: 250 |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "0cd83f72-7262-412e-b7c1-6713c1549a86",
"firstname": "sample string 2",
"lastname": "sample string 3",
"company_id": "d4f653a3-04dc-4142-9223-50ebb64d81a1",
"company_code": "sample string 5",
"company": {
"id": "3b8821b4-e63e-4a9a-a5f3-5d1259992195",
"is_client": true,
"is_supplier": true,
"archived": true,
"name": "sample string 5",
"notes": "sample string 6",
"create_date": "2026-10-29T09:48:58.3707458+00:00",
"sales_territory_id": "c4082b1e-cd23-47f6-ab37-0fe06199fc8f",
"sales_territory_code": "sample string 9",
"sales_territory": {
"id": "54bb6ff9-f2d0-4dfb-bd98-8bad92eab346",
"code": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "61ea6286-1eb6-49a2-ad0f-773de3c0e785",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "deebb5da-daea-4977-a809-11449a68aa63",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "122ee1b5-b02f-4713-9e3f-3d66323c233d",
"db_currency_id": "2972128f-9b11-4f18-8866-be13e212bfbd",
"db_language_id": "b3974271-4b03-4e31-885e-bff197f92af0",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-29T09:48:58.3707458+00:00"
},
"modified_dateutc": "2026-10-29T09:48:58.3707458+00:00"
},
"marketing_segment_id": "d96e199d-4e80-4a02-9c15-4f2b03f15547",
"marketing_segment_code": "sample string 11",
"sales_organization_id": "6632779c-7b56-441f-806a-1c36a192ee77",
"sales_organization_code": "sample string 13",
"company_sales_status_code": "sample string 14",
"vat_reg_code": "sample string 15",
"is_working_address": true,
"parent_id": "ff0555d7-c2df-44c5-bf25-7890cf15bdda",
"parent_company_code": "sample string 18",
"phone": "sample string 19",
"fax": "sample string 20",
"url": "sample string 21",
"email": "sample string 22",
"street": "sample string 23",
"street_number": "sample string 24",
"city": "sample string 25",
"zip": "sample string 26",
"db_country_id": "e6eff424-daa2-489c-9a48-fb8ee1321187",
"db_country_code": "sample string 28",
"feelist_id": "a6de8fb5-ab1e-477c-9acd-e7ba61d73cc5",
"feelist_reference_back_office": "sample string 30",
"feelist": {
"id": "66443ca7-de97-40ac-a978-c3d74573caad",
"name": "sample string 2",
"description": "sample string 3",
"is_default": true,
"default_price": 1.0,
"sales_organization_id": "bd4abeff-dfa6-4936-99bf-a39a42143c74",
"sales_organization_code": "sample string 6",
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-10-29T09:48:58.3707458+00:00",
"db_currency_id": "3de50d2b-48f5-4ea9-86e3-d948cc1e0860",
"db_currency_code": "sample string 10"
},
"company_type_id": "79dfcc9e-99e7-4f88-805d-7ddb37de660f",
"company_type_name": "sample string 32",
"company_type": {
"id": "695c2a47-549b-4b82-9b58-11358d2ba6ad",
"name": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "c5c89ffe-31c8-49a6-baf7-611e8fcd41c3",
"sales_organization_code": "sample string 5"
},
"db_language_id": "bea479b4-a8e4-47ea-9d41-ea923c3d9e88",
"db_language_code": "sample string 34",
"code": "sample string 35",
"article_price_label_id": "c202bc41-e14a-4142-91e0-f41715a5c229",
"article_price_label_code": "sample string 37",
"db_payment_method_id": "d12fabbd-6bd2-478e-98c1-2f7886132db5",
"db_payment_method_reference_back_office": "sample string 39",
"db_payment_methods": {
"id": "45de29ef-b297-4304-9e0f-606c075225f8",
"name": "sample string 2",
"description": "sample string 3",
"reference_back_office": "sample string 4",
"activated": true,
"modified_dateutc": "2026-10-29T09:48:58.3870692+00:00"
},
"company_sector_id": "15cf766d-6fcc-4a6d-aaef-aed3fa49cb25",
"company_sector_code": "sample string 41",
"is_lead": true,
"is_subcontractor": true,
"latitude": 1.0,
"longitude": 1.0,
"street2": "sample string 44",
"bic_code": "sample string 45",
"specialities": "sample string 46",
"register_number": "sample string 47",
"register_city": "sample string 48",
"bankaccount": "sample string 49",
"mobile": "sample string 50",
"service_manager_user_id": "8bc745e5-9c01-4c8f-9e01-9272336ff914",
"service_manager_user_code": "sample string 52",
"finance_manager_user_id": "d93221ce-d94b-416e-8601-6a927370a421",
"finance_manager_user_code": "sample string 54",
"account_manager_user_id": "2ffd8964-9757-4372-8783-96a0b56a5c23",
"account_manager_user_code": "sample string 56",
"company_status_id": "406b2f2d-5cfb-4450-bdf1-bfa6dca18a10",
"invoice_email_to": "sample string 58",
"modified_dateutc": "2026-10-29T09:48:58.3870692+00:00",
"id2": 60
},
"db_language_id": "b49ea1c7-f117-4871-9fb5-da21fcd1ac32",
"db_language_code": "sample string 7",
"db_title_id": "14d3cc7b-8571-4de8-800c-99bff4de06e8",
"archived": true,
"functions": "sample string 10",
"e_login": "sample string 11",
"e_password": "sample string 12",
"notes": "sample string 13",
"birthdate": "2026-10-29T09:48:58.3870692+00:00",
"create_date": "2026-10-29T09:48:58.3870692+00:00",
"phone": "sample string 16",
"mobile": "sample string 17",
"email": "sample string 18",
"skype": "sample string 19",
"private_phone": "sample string 20",
"private_mobile": "sample string 21",
"private_email": "sample string 22",
"reference_back_office": "sample string 23",
"modified_dateutc": "2026-10-29T09:48:58.3870692+00:00"
}